Subject: bug#23030: Guix commands broken

From: Leo Famulari <[email-masked]>
Date: Thu, 17 Mar 2016 01:46:21 -0400

On Wed, Mar 16, 2016 at 04:46:11PM +0100, Andreas Enge wrote:
> Hello,
> 
> sorry for the vague title; it looks as if one of the recent commits broke the
> daemon for me.
> 
> $ ./pre-inst-env guix build font-forge --no-substitutes
> substitute: Backtrace:
> substitute: In ice-9/boot-9.scm:
> substitute:   63: 19 [call-with-prompt prompt0 ...]
> substitute: In ice-9/eval.scm:
> substitute:  432: 18 [eval # #]
> substitute: In ice-9/boot-9.scm:
> substitute: 2401: 17 [save-module-excursion #<procedure 1d3f940 at ice-9/boot-9.scm:4045:3 ()>]
> substitute: 4050: 16 [#<procedure 1d3f940 at ice-9/boot-9.scm:4045:3 ()>]
> substitute: 1724: 15 [%start-stack load-stack ...]
> substitute: 1729: 14 [#<procedure 1d57ea0 ()>]
> substitute: In unknown file:
> substitute:    ?: 13 [primitive-load "/gnu/store/3lg5c1nidbj0kjdz5b63hn3vp29kzf0s-guix-0.9.0.c3f29bc/bin/.guix-real"]
> substitute: In guix/ui.scm:
> substitute: 1175: 12 [run-guix-command substitute "--query"]
> substitute: In ice-9/boot-9.scm:
> substitute:  157: 11 [catch getaddrinfo-error ...]
> substitute:  157: 10 [catch srfi-34 #<procedure 2c14080 at guix/ui.scm:411:2 ()> ...]
> substitute:  157: 9 [catch system-error ...]
> substitute: In guix/scripts/substitute.scm:
> substitute:  946: 8 [#<procedure 2c140a0 at guix/scripts/substitute.scm:939:3 ()>]
> substitute:  804: 7 [process-query "info /gnu/store/qdz5fp0g0sic5vc8ysvkbdm6yilcbl0d-fontforge-20120731-b " ...]
> substitute:  633: 6 [lookup-narinfos/diverse # #]
> substitute:  617: 5 [lookup-narinfos "https://hydra.gnu.org" #]
> substitute:  589: 4 [fetch-narinfos "https://hydra.gnu.org" #]
> substitute:  222: 3 [download-cache-info "https://hydra.gnu.org"]
> substitute: In guix/records.scm:
> substitute:  331: 2 [recutils->alist #<unspecified>]
> substitute: In ice-9/rdelim.scm:
> substitute:  184: 1 [read-line #<unspecified> trim]
> substitute: In unknown file:
> substitute:    ?: 0 [%read-line #<unspecified>]
> substitute: 
> substitute: ERROR: In procedure %read-line:
> substitute: ERROR: In procedure %read-line: Wrong type argument in position 1 (expecting open input port): #<unspecified>
> guix build: error: corrupt input while restoring archive from #<closed: file 0>

This looks like the same error as in <http://bugs.gnu.org/22937>, which
I am also getting when I try to fetch substitutes over https.

> 
> This is with commit 23d60ba65c137abf472a25db7317154abfc4af4d, and I also just
> reconfigured my system to profit from the most recent updates to the daemon,
> which would allow me to drop typing the "--substitute-urls=..." over and over
> again.
> 
> If I understood the commit messages correctly, a mirror should be used instead
> of the above https://hydra.gnu.org.
> 
> Even "./pre-inst-env guix system reconfigure ... --no-substitutes" is broken
> with the same message, even after doing a ./bootstrap and complete
> recompilation.
> 
> Time to go back to a previous system...
> 
> Andreas
> 
> 
> 
>